Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.Reflection.MethodBase System.Runtime.InteropServices._ConstructorInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._ConstructorInfo)) System.Runtime.InteropServices.ComVisible(true)

Provides access to constructor metadata.

To be added. Requires permission to reflect non-public members of a type in loaded assemblies. See .
- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.String

  A string containing the name of an object constructor as it is stored in metadata.

  This field is read-only.

  This field is a that contains the value ".ctor". An object constructor will be named with this field if and only if it is not a type initializer.

  For more information on type initializers, see .

  For more information on object constructors, see Partition II of the CLI Specification.

  0
  .ctor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Object `` An array of objects that match the number, order and type of the parameters for the constructor reflected by the current instance. If the constructor reflected by the current instance takes no parameters, specify either an array with zero elements or . Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is . For value-type elements, this value is 0, 0.0, or , depending on the specific element type.

  Invokes the constructor reflected by the current instance using the specified parameters.

  An instance of the class that declared the constructor reflected by the current instance.

  To be added.

  The types of the elements of do not match the types of the parameters accepted by the constructor reflected by the current instance, under the constraints of the default binder.

  The caller does not have the required permissions. The constructor reflected by the current instance threw an exception. .Length does not equal the number of parameters required by the contract of the constructor reflected by the current instance. Requires permission to invoke non-public members of loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.Diagnostics.DebuggerStepThrough
- Method
  System.Object `` `` `` `` A value that controls the binding process. A that defines a set of properties and enables the binding, coercion of argument types, and invocation of members using reflection. If is , then the default binder is used. An array of objects that match the number, order and type of the parameters for the constructor reflected by the current instance. If the constructor reflected by the current instance takes no parameters, specify either an array with zero elements or . Any object in this array that is not explicitly initialized with a value will contain the default value for that object type. For reference-type elements, this value is . For value-type elements, this value is 0, 0.0, or , depending on the specific element type.

  The only defined value for this parameter is .

  To be added. To be added. To be added.

  Invokes the constructor reflected by the current instance using the specified arguments, under the constraints of the specified .

  An instance of the class that declared the constructor reflected by the current instance.

  Before calling the constructor, this method ensures that the caller has access permission and that the parameters are of the correct number, order and type.

  The types of the elements of do not match the types of the parameters accepted by the constructor reflected by the current instance, under the constraints of . The caller does not have the required permissions. The constructor reflected by the current instance threw an exception. .Length does not equal the number of parameters required by the contract of the constructor reflected by the current instance. Requires permission to invoke non-public members of loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Reflection.MemberTypes To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.ComVisible(true)
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.String

  A string containing the name of a type initializer as it is stored in metadata.

  This field is read-only.

  This field is a that contains the value ".cctor".

  A type initializer can be applied to all types. It allows the type to perform any initialization required before any members declared within the type are accessed. Type initializers accept no parameters and always have a return type of void. A type constructor only has access to a type's static fields and its usual purpose is to initialize those fields. A type's constructor is guaranteed to run before any instance of the type is created and before any static field or method of the type is referenced.

  Many languages (including C#) automatically generate type constructors for all implementer-defined types. However, some languages require that type constructors be explicitly implemented.

  For more information on type initializers, see Partition II of the CLI Specification.

  0
  .cctor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
0